Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 10-26-2008, 04:34 AM   #1
luqmaninbmore
Da'i
luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.luqmaninbmore ought to be getting tired of karma fortunes by now.
 
luqmaninbmore's Avatar
 
Posts: 1,143
Karma: 1217499
Join Date: Oct 2008
Location: Baltimore
Device: Toshiba Thrive, Kobo Touch, Kindle 1, Aluratek Libre, T-Mobile Comet
Installation Problems on Eee PC

Hello,

I am attempting to install calibre on my Eee PC running the default Xandros Linux Distro. When I try to install the Debian version or compile from source I get an API version mismatch error.
When I try to install from source I get the following:
Setup calibre version: 0.4.100
running build
running resources
Resources are up to date
running translations
Translations up to date
running gui
/usr/lib/python2.5/site-packages/PyQt4/uic/__init__.py:4: RuntimeWarning: Python C API version mismatch for module PyQt4.QtCore: This Python has API version 1013, module PyQt4.QtCore has version 1012.
from PyQt4.QtCore import PYQT_VERSION_STR
/usr/lib/python2.5/site-packages/PyQt4/uic/__init__.py:4: RuntimeWarning: Python C API version mismatch for module sip: This Python has API version 1013, module sip has version 1012.
from PyQt4.QtCore import PYQT_VERSION_STR

When I attempt to install the Debian version, I get the following:
calibre_postinstall
/usr/lib/python2.5/site-packages/calibre-0.4.100-py2.5-linux-i686.egg/calibre/__init__.py:10: RuntimeWarning: Python C API version mismatch for module PyQt4.QtCore: This Python has API version 1013, module PyQt4.QtCore has version 1012.
#
/usr/lib/python2.5/site-packages/calibre-0.4.100-py2.5-linux-i686.egg/calibre/__init__.py:10: RuntimeWarning: Python C API version mismatch for module sip: This Python has API version 1013, module sip has version 1012.
#
Segmentation fault


Any help you can offer would be appreciated.

Luqman
luqmaninbmore is offline   Reply With Quote
Old 10-26-2008, 12:14 PM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,380
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Your PyQt version is too old. You should recompile it from source.
kovidgoyal is offline   Reply With Quote
 
Enthusiast
Reply

Tags
calibre

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Experiences with EEE PC? Logseman Alternative Devices 10 04-19-2010 12:41 PM
PRS-300 Installation Problems Funseeker Sony Reader 17 01-04-2010 07:28 PM
installation problems (no next button) Sirion Calibre 0 10-25-2009 03:56 AM
Obituary to an EEE! mtravellerh Lounge 5 12-04-2008 07:50 PM
Asus Eee Seen in the Wild daffy4u Lounge 14 07-15-2008 02:59 PM


All times are GMT -4. The time now is 04:32 PM.


MobileRead.com is a privately owned, operated and funded community.